Subject: [bug#45875] [PATCH] Update gnunet to version 0.14.0

From: Maxime Devos <[email-masked]>
Date: Sat, 30 Jan 2021 14:25:06 +0100

Hi Hartmut,

On Sat, 2021-01-30 at 13:39 +0100, Hartmut Goebel wrote:
> [...]
> Anyhow: This file is quite young [...]
Which file? I presume test_proxy.sh.  Or do you mean gnu/packages/gnunet.scm?

> [...] and the other changes on this file are 
> not relevant for us (missing license, removing old files, linting 
> errors), <https://git.gnunet.org/gnunet.git/log/src/gns/test_proxy.sh> 
> So adding this patch 
> <https://git.gnunet.org/gnunet.git/commit/src/gns/test_proxy.sh?id=7f666b4467ae5f530e904675df3f28886f4202fa> 
> should solve this problem.

Are you suggesting using the v0.14.0 tarball, and adding the missing
test_proxy.sh using the patches mechanism described in "8.2 Defining Packages"?
Seems a good idea to me, will do that later.  This should result in
a simpler patch.

I don't userstand your point about ‘changes not relevant to us’.  Why not
just use the latest version for simplicity?  Are the newer versions broken
on Guix in some manner perhaps?

> Please also update gnunet-gtk, which was reported 
> <http://issues.guix.gnu.org/43256#3> to be broken with gnunet 0.13.3. Thx.

At first, I thought it was only a few cosmetic change in version number,
but now I see there are some extra translations, and some bug fixes.
I'll update gnunet-gtk as well in the next patch version.

Maxime